!
"----------------------------------------------------------"
" loader.st                                               "
" Thu Oct 07 15:21:09 EDT 2004                             "
"----------------------------------------------------------"
"  BuildNo: 249                                            "
" Language: Smalltalk                                      "
" Platform: Java                                           "
"----------------------------------------------------------"
!!
!
"----------------------------------------------------------"
" Smalltalk loader                                         "
"----------------------------------------------------------"
!!
!
$ClassMode
!!
!
Object subclass: #InputOutput
instanceVariableNames: ''
classVariableNames: ''
!!
!
InputOutput subclass: #Console
instanceVariableNames: ''
classVariableNames: ''
!!
!
InputOutput subclass: #File
instanceVariableNames: ''
classVariableNames: ''
mapToType: 'java.io.File'
!!
!
InputOutput subclass: #FileInStream
instanceVariableNames: ''
classVariableNames: ''
mapToType: 'vmx.util.FileInStream'
!!
!
InputOutput subclass: #Directory
instanceVariableNames: ''
classVariableNames: ''
mapToType: 'java.io.FileSystem'
!!
!
InputOutput subclass: #TranscriptWriter
instanceVariableNames: ''
classVariableNames: ''
mapToType: 'vmx.util.TranscriptWriter'
!!
!
Object subclass: #Vm
instanceVariableNames: ''
classVariableNames: ''
mapToType: 'vmx.kernel.Vm'
!!
!
"----------------------------------------------------------"
" Console                                                  "
"----------------------------------------------------------"
!!
!
$MethodsFor: Console class
!!
!
error
   <primitive: 'vmx.util.Console' 'error'>
!!
!
out
   <primitive: 'vmx.util.Console' 'out'>
!!
!
"----------------------------------------------------------"
" FileInStream class                                       "
"----------------------------------------------------------"
!!
!
$MethodsFor: FileInStream class
!!
!
new: aPath
   <primitive: 'vmx.util.FileInStream' '.ctor' 'java.lang.String'>
!!
!
"----------------------------------------------------------"
" FileInStream                                             "
"----------------------------------------------------------"
!!
!
$MethodsFor: FileInStream
!!
!
fileIn
   <primitive: 'vmx.util.FileInStream' 'fileIn'>
!!
!
"----------------------------------------------------------"
" TranscriptWriter                                         "
"----------------------------------------------------------"
!!
!
$MethodsFor: TranscriptWriter
!!
!
cr
   <primitive: 'vmx.util.TranscriptWriter' 'println'>
!!
!
show: anObject
   <primitive: 'vmx.util.TranscriptWriter' 'print' 'java.lang.Object'>
!!
!
print: anObject
   <primitive: 'vmx.util.TranscriptWriter' 'print' 'java.lang.Object'>
!!
!
println: anObject
   <primitive: 'vmx.util.TranscriptWriter' 'println' 'java.lang.Object'>
!!
!
"----------------------------------------------------------"
" Vm                                                       "
"----------------------------------------------------------"
!!
!
$MethodsFor: Vm class
!!
!
loaderString: aString
   <primitive: 'vmx.kernel.Vm' 'setStartupString' 'java.lang.String'>
!!
!
"----------------------------------------------------------"
" Loader Commands                                          "
"----------------------------------------------------------"
!!
!
$CommandMode
!!
!
Transcript := Console out.
Vm loaderString: 'Transcript := Console out'.
Transcript show: 'Beginning loader.st...'; cr.
(FileInStream new: 'Object/_loader.st') fileIn.
Transcript show: 'Ended loader.st'; cr
!!
!
"----------------------------------------------------------"
" E N D  of  F I L E                                       "
"----------------------------------------------------------"
!!
